
package de.ivu.elect.presentation.benutzerverwaltung.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.menu.BenutzerverwaltungPageMenu;
import de.ivu.elect.presentation.exchange.ExportDescription;

public class BenutzerEinsatzortExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public BenutzerEinsatzortExportDescription() {
    super();
  }

  @Override
  public String getExportSearchViewId() {
    return BenutzerEinsatzortExportSearchView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.BENUTZER_EINSATZORT_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.BENUTZER_EINSATZORT_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return BenutzerverwaltungPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
